echo "\nPower law inference based on maximization of Bayesian evidence \n(Patrick Héas, Inria, 2014, all righ reserved)" 
echo "CAUTION: USER SHOULD SPECIFY INPUT IMAGES AND MODIFY OPTION BY MODIFYING THE SCRIPT './runBayesInference.sh'  (input and option details are available using the command './BayesK41RegMotion -h' ) ! "
echo "\n---> running script 'runBayesInference.sh': launching program './BayesK41RegMotion' in parallel for different power law models (this might take a long time) ..."
echo "sh ./runBayesInference.sh"
sh ./runBayesInference.sh
echo "\n---> searching power law maximizing evidence ..."
echo "sort -nk 3 Res/run010050500evidence_resol0 | head -n 1 > Res/run010050500evidenceMax_resol0"
sort -nk 3 Res/run010050500evidence_resol0 | head -n 1 > Res/run010050500evidenceMax_resol0
awk 'min=="" || $3 < min {min=$3; power=$2; factor=$1; MBAE=$13; RMSE=$14} END{ printf("---------Power-law factor=");print factor; printf("---------Power-law exponent="); print power; printf("---------Power-law minus log(evidence)="); print min; printf("---------Mean Barron Angular Error="); print MBAE; printf("---------Root Mean Square Error="); print RMSE}' Res/run010050500evidenceMax_resol0

echo "\nNB: To get the motion field, please relaunch the main program by modifying the script 'sh MotionEstimation.sh' with the selected power-law parameters ..."
