#----------TO BE FIXED BY THE USER----------

#__power law list for model selection ('gamma' is factor and 'zeta' is the power exponent: gamma*\ell^zeta)
gamma="2.5E-3 1.0E-4 1.0E-2"
zeta="1.9 1.5"
#---extensions of input image files and ground truth motion files
imgext='.tif'
truthext='_shift.motion'
#---directories for input images and true motion fields (all images and true motion fields with the extension specified will form a list of input)
input="ImTest/"
truth="ImTest/"
#---directorie for output
output="Res/"
#---maximum number of program running in parallel
countMax=2
#---choose program options (option details are displayed running the program with option -h, i.e. './BayesK41RegMotion -h' )
dx_=256 #---number of column
dy_=256 #---number of rows
lo_=4 #---largest pixel scale for power-law constraint
neta_=1 #---smallest pixel scale for power-law constraint
multiresol_=4 #--- number of resolution in the pyramid multiresolution scheme
divZero_=true #--- divergence-free projection after each resolution level
sigBlur_=0.5 #--- standard deviation for bluring images (preprocessing)
sigDiff_=0.4 #--- Diffusion coefficient for scalar advection diffusion equation
GT_= true #--- Ground truth comparison

#------------------------------------------

#-lister entrees
flist=($(find $input*$imgext))
#-nbre entrees
tot=${#flist[*]}
min=0
max=$tot
max=`expr $max - 1`
nbtot=`expr $max - $min`
count=0

#--nom fichier param
param="param"
mkdir $output
for g in $gamma
do
for z in $zeta
do
	#----------sequence d'image
	im0=$min
	while test $im0 -lt $max
	  do
	  #--interrupteur
	  count=`expr $count + 1`
	  if test $count -lt $countMax 
	  then  
	  next='& sleep 3'
	  else 
	  next=""
	  count=0
	  fi
	  
	  #--display progress
	  nb=`expr $im0 - $min`
	  nb=`expr $nb + 1`
	  echo
	  echo
	  echo ">>>>>>>>>> data frame $nb/$nbtot <<<<<<<<<<"
	  echo
	  #--racine (for output names)
	  root="`echo ${flist[$im0]} | sed 's#'"$input"'\(.*\)'"$imgext"'#\1#'`"
	  #--truthname
	  tname=$truth$root$truthext
	  lmdaName="lambdaInitFile.txt" 
	  #--next image counter
	  im1=`expr $im0 + 1`  
	  #--param file  
	  echo "${flist[$im0]}\n${flist[$im1]}\n$output$root\n$tname\n$lmdaName" > $param
	  #-command line 
	   cmd="nohup ./BayesK41RegMotion -h -dx $dx_ -dy $dy_  -inPath $param -lo $lo_ -neta $neta_ -power $z -gamma $g  -multiresol $multiresol_  -divZero $divZero_ -sigBlur $sigBlur_ -sigDiff $sigDiff_  -GT $GT_ > $output$root"_"$z$g.run $next"
	   echo $cmd
      echo $cmd | sh
	#--move to next image
	  im0=$im1
	done
	done
done
